Crystal Space: iCollectionList Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCollectionList Struct Reference

iCollection list. More...

`#include <iengine/collectn.h>`

Inheritance diagram for iCollectionList:

[legend]
List of all members.

## Public Member Functions
virtual int | Add (iCollection *obj)=0
| Add a collection.
virtual int | Find (iCollection *obj) const =0
| Find a collection and return its index.
virtual iCollection * | FindByName (const char *Name) const =0
| Find a collection by name.
virtual iCollection * | Get (int n) const =0
| Return a collection by index.
virtual int | GetCount () const =0
| Return the number of collections in this list.
virtual iCollection * | NewCollection (const char *name)=0
| Create a new collection.
virtual bool | Remove (int n)=0
| Remove the nth collection.
virtual bool | Remove (iCollection *obj)=0
| Remove a collection.
virtual void | RemoveAll ()=0
| Remove all collections.

## Detailed Description

iCollection list.

Main ways to get pointers to this interface:

- iEngine::GetCollections()

Main users of this interface:

- Engine stores them.
- Application uses them.

Definition at line 83 of file collectn.h.

## Member Function Documentation

virtual int iCollectionList::Add | ( | iCollection * | obj | ) | `[pure virtual]`

Add a collection.

virtual int iCollectionList::Find | ( | iCollection * | obj | ) | const`[pure virtual]`

Find a collection and return its index.

virtual iCollection* iCollectionList::FindByName | ( | const char * | Name | ) | const`[pure virtual]`

Find a collection by name.

virtual iCollection* iCollectionList::Get | ( | int | n | ) | const`[pure virtual]`

Return a collection by index.

virtual int iCollectionList::GetCount | ( |  | ) | const`[pure virtual]`

Return the number of collections in this list.

virtual iCollection* iCollectionList::NewCollection | ( | const char * | name | ) | `[pure virtual]`

Create a new collection.

virtual bool iCollectionList::Remove | ( | int | n | ) | `[pure virtual]`

Remove the nth collection.

virtual bool iCollectionList::Remove | ( | iCollection * | obj | ) | `[pure virtual]`

Remove a collection.

virtual void iCollectionList::RemoveAll | ( |  | ) | `[pure virtual]`

Remove all collections.

The documentation for this struct was generated from the following file:

- iengine/collectn.h